# backup.sh

### Usage
```bash
./backup.sh <source dir> <destination dir>/<frequency> <number of backups to keep>
```
Setup backup strategy in `crontab -e`
```bash
0  */3  *  *  *  /mnt/DOOM/BACKUPS/backup.sh  /home/bob/  /mnt/DOOM/BACKUPS/bob/daily    56  |  tee  -a  /mnt/DOOM/BACKUPS/bob/log.txt
0  0    *  *  4  /mnt/DOOM/BACKUPS/backup.sh  /home/bob/  /mnt/DOOM/BACKUPS/bob/weekly   4   |  tee  -a  /mnt/DOOM/BACKUPS/bob/log.txt
0  0    1  *  *  /mnt/DOOM/BACKUPS/backup.sh  /home/bob/  /mnt/DOOM/BACKUPS/bob/monthly  12  |  tee  -a  /mnt/DOOM/BACKUPS/bob/log.txt
```
